package com.example.matrixgrid;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

public class DrawGrid extends View  {


    public float m_width;
    public float m_Height;
    public float m_NoOfRows;
    public float m_NoOfCols;
    public float m_XOffset;
    public float m_YOffset;
    public static final float DEFAULT_X_OFFSET= 100;
    public static final float DEFAULT_Y_OFFSET= 50;
    public static final float DEFAULT_NO_ROWS = 3;
    public static final float DEFAULT_NO_COLS=  3;
    public static final float DEFAULT_WIDTH  =  60;
    public static final float DEFAULT_HEIGHT =  60;
    
	Paint paint = new Paint();
	 public DrawGrid(Context context) {
	        super(context);
	        InitializeValues();

	    }
	 @Override
	    public void onDraw(Canvas canvas)
	 {
		       paint.setColor(Color.RED);
	            float X=DEFAULT_X_OFFSET;
	            float Y=DEFAULT_Y_OFFSET;
	            //Draw The rows
	            for(float iRow=0;iRow<=m_NoOfRows;iRow++)
	            {
	                    canvas.drawLine(X, Y,X+ this.m_width* this.m_NoOfCols,Y, paint);
	                    Y=Y+ m_Height;

	            }

	            //Draw The Cols
	            X=DEFAULT_X_OFFSET;
	            Y=DEFAULT_Y_OFFSET;
	            for(float iColumn=0;iColumn<=m_NoOfCols;iColumn++)
	            {
	                    canvas.drawLine(X, Y,X,Y+this.m_Height*this.m_NoOfRows,paint );
	                    X=X+ this.m_width;
	            }

	    }
	 private void InitializeValues()
	    {
	         //Put all the default values
	        m_NoOfRows=DEFAULT_NO_ROWS;
	        m_NoOfCols=DEFAULT_NO_COLS;
	        m_width=DEFAULT_WIDTH;
	        m_Height=DEFAULT_HEIGHT;
	        m_XOffset=DEFAULT_X_OFFSET;
	        m_YOffset=DEFAULT_Y_OFFSET;
	    }

}
